Skip to main content
GET
/
payout
/
v1
/
ifsc
/
{ifsc}
IFSC Verification
curl --request GET \
  --url https://payout-api.cashfree.com/payout/v1/ifsc/{ifsc} \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>'
{
  "status": "SUCCESSS",
  "subCode": 200,
  "message": "Bank account details verified successfully",
  "data": {
    "bank": "HDFC BANK",
    "ifsc": "HDFC0004110",
    "neft": "Live",
    "imps": "Live",
    "rtgs": "Live",
    "upi": "Not Live",
    "ft": "Live",
    "card": "Not Live",
    "micr": "<string>",
    "nbin": 9240,
    "address": "HDFC BANK LTD WZ G 1 161 GROUND FLOOR UTTAM NAGAR MAIN ROAD NEW DELHI DELHI 110059",
    "city": "DELHI",
    "state": "DELHI",
    "branch": "UTTAM NAGAR",
    "ifscSubcode": "HDFC0",
    "category": "DIRECT_MEMBER",
    "swiftCode": ""
  }
}

Documentation Index

Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

This API will be retired soon. Please plan to migrate to the latest version, IFSC Verification V2.

Headers

Authorization
string
required

Bearer Auth Token

Content-Type
string
required

application/json

Path Parameters

ifsc
string
required

The IFSC information of the bank account to be validated. It should be an alphanumeric value of 11 characters. The first 4 characters should be alphabets, the 5th character should be a 0, and the remaining 6 characters should be numerals.

Example:

"SCBL0036078"

Response

Accepted

status
string

It represents the status of the API request.

Example:

"SUCCESSS"

subCode
string

It represents the sub code of the API request.

Example:

200

message
string

It represents the message of the API request.

Example:

"Bank account details verified successfully"

data
object

It contains the bank account information.